Driving License Verification

The Driving License Verification API solution by Instantpay allows businesses to authenticate the validity of a driver's licence swiftly and accurately.

Employ this feature to enhance security measures, confirming the authenticity of driving licences during various transactions and interactions, contributing to a safer and more reliable operational environment.

Additionally, the API facilitates the extraction of personal information, including permissible types of vehicles, along with the provision of RTO-registered user photos, further enhancing the comprehensive verification process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
drivingLicenseNumberStringMandatoryDriving License Number
dobStringMAndatoryDate of birth linked with Driving License (format YYYY-MM-DD)
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer Longitude
externalRefStringMandatoryYour Unique Transaction id
consentStringMandatoryConsent should be
accepted by
customer

Sample Request

curl --location 'https://api.instantpay.in/identity/verifyDrivingLicense' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "drivingLicenseNumber":"HR0620220012345",
    "dob" : "01-01-2000",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}",
    "consent" : "Y"
}'
POST /identity/verifyDrivingLicense HTTP/2.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json


{
    "drivingLicenseNumber":"HR0620220012345",
    "dob" : "01-01-2000",
    "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}",
    "consent" : "Y"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
  "statuscode": "TXN",
  "actcode": null,
  "status": "Transaction Successful",
  "data": {
    "drivingLicenseDetail": {
      "userAddress": [
        {
          "addressLine1": "Sample Address",
          "completeAddress": "Full Address",
          "country": "INDIA",
          "district": "TAL-PANHALA,",
          "pin": "",
          "state": "Maharashtra",
          "type": "Permanent"
        },
        {
          "addressLine1": "Sample Address,",
          "completeAddress": "Full Address",
          "country": "INDIA",
          "district": "TAL-PANHALA,",
          "pin": "",
          "state": "Maharashtra",
          "type": "Present"
        }
      ],
      "userBloodGroup": "U",
      "dlNumber": "GJ01AB4589",
      "userDob": "01/01/2000",
      "endorseDate": "",
      "endorseNumber": "",
      "expiryDate": "28/02/2020",
      "fatherOrHusband": "Sample Name",
      "issuedDate": "29/02/2000",
      "nonTransportValidity": {
        "from": "29/02/2000",
        "to": "28/02/2020"
      },
      "state": "Maharashtra",
      "status": "Active",
      "statusDetails": {
        "from": "",
        "remarks": "",
        "to": ""
      },
      "transportValidity": {
        "from": "",
        "to": ""
      },
      "userFullName": "Sample Name",
      "userImage": "/9j/4AAQhAMVm9O1yXvI4ZgJVLbDIDyD/MVoweDyD2Q==",
      "vehicleCategoryDetails": [
        {
          "cov": "MCWG",
          "expiryDate": "",
          "issueDate": ""
        },
        {
          "cov": "LMV",
          "expiryDate": "",
          "issueDate": ""
        }
      ]
    },
    "pool": {
      "referenceId": "1000987654321EZFJY",
      "openingBalance": "47.77",
      "paymentAmount": "0.00",
      "mode": "DR",
      "closingBalance": "47.77"
    }
  },
  "timestamp": "2023-10-05 10:21:15",
  "ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
  "orderid": "1000987654321EZFJY",
  "environment": "LIVE",
  "internalCode": null
}
Body Params
string

udyamNumber

string

End Customer Latitude.

string

End Customer Longitude.

string

Your Unique Transaction id

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json